---
marp: true
theme: kant
author: Emiliano Vavassori
title: "Proxmox VE: dalle enteprise a casa tua"
style: |
    div.columns {
        display: grid;
        grid-template-columns: repeat(2, minmax(0, 1fr));
        gap: 1rem;
    }
---

# Proxmox VE: dalle *enteprise* a casa tua

Emiliano Vavassori

![height:2cm BgLUG](https://bglug.it/images/logo.svg)

Linux Day 2025 Spring Edition

Creative LAB, Lunetta (MN) &mdash; 10 maggio 2025

---
<!-- paginate: true -->
<!-- footer: "Linux Day 2025 SE - 10/05/2025 - Mantova" -->

# Agenda

- Cos'è Proxmox Virtual Environment
- Sostenibilità del progetto e modello di *business*
- Supporto della *community*
- Multinodo o singolo nodo
- CPU: scelte d'implementazione per *enterprise* e *home lab*
- Storage locale: scelte *enterprise* e *home lab*
- RAM: scelte *enterprise* e *home lab*

---

# Cos'è Proxmox Virtual Environment

![bg left:30% w:200px Logo di Proxmox](images/proxmox_logo_name.png)

* Un *hypervisor* di tipo 1
<!-- Un hypervisor è un software che permette di virtualizzare -->
<!-- Tipo 1: leggero strato software, no interfaccia GUI -->
<!-- Tipo 2: interfaccia GUI, meno leggero - VirtualBox, ecc. -->
<!-- La virtualizzazione è basata su KVM/QEMU -->
* Anche una soluzione di containerizzazione
<!--- basata su LXC -->
* Basata su Debian GNU/Linux (più alcune *patch* per *performance*)
<!-- Proprio perché è basata su Debian, supporto hardware molto esteso -->
* Licenza GNU AGPLv3 &rArr; Software libero!

---

# *Feature* di Proxmox VE &mdash; 1

* Virtualizzazione basata su KVM/QEMU
* Containerizzazione basata su LXC
* Gestione centralizzata (*clustering*) via web e CLI
* REST API (diversi *wrapper* già sviluppati)
* Funzionalità di backup/restore integrate
* Supporto ad altri motori d'autenticazione (LDAP, Active Directory, OpenID
  Connect)
* *High availability* (HA) e *live migrations*
* *Software Defined Networks* e *stack* di rete con tecnologie Linux
* Firewall

---

# *Feature* di Proxmox VE &mdash; 2

<div class="columns">
<div>

Storage interni:

- LVM
- Directory
- ZFS
- **Ceph Cluster**
</div>
<div>

Storage esterni:

- LVM
- iSCSI
- NFS
- SMB/CIFS
- Ceph
- GlusterFS
</div>
</div>

---

# Sostenibilità del progetto e modello di *business*

Proxmox Server Solutions GmbH è l'azienda che sviluppa Proxmox VE dal 2005.

Il modello di *business* è basato sulla vendita di servizi di supporto (con diversi livelli).

Gli altri prodotti:
- Proxmox Mail Gateway (è stato il primo)
- Proxmox Backup Server
- Proxmox Datacenter Manager (alpha)

---

# Supporto della community

Il metodo principale per contattare la *community* e farsi supportare è quello
del forum ufficiale: [https://forum.proxmox.com/](https://forum.proxmox.com/).

In italiano c'è un canale dedicato su Telegram: [Proxmox Italia](https://t.me/utentiproxmoxitalia).

Un'interessante risorsa per tutti è [Proxmox VE Helper-Scripts](https://community-scripts.github.io/ProxmoxVE/), che è una raccolta di script da poter far girare direttamente su Proxmox VE per ottenere diverse applicazioni già pronte.

---
